View Issue Details

IDProjectCategoryView StatusLast Update
0034552FPCCompilerpublic2018-11-15 10:16
ReporterKarl-Michael SchindlerAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS XOS Version10.5, 10.6
Product Version3.3.1Product Buildsvn revision 40275 
Target VersionFixed in Version3.3.1 
Summary0034552: after svn revision 40275 target i8086-msdos is still broken.
Descriptionsvn revision 40275 resolves the following error (introduced in revision 40272):

cgx86.pas(1111,24) Error: Identifier not found "addr_ntpoff"

but creates a new one for i8086-msdos:

/BlaBla/FreePascal/compiler/ppcross8086 -Tmsdos -Pi8086 -XPmsdos- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../i8086 -FE. -FU/BlaBla/FreePascal/rtl/units/msdos -ap -di8086 -dRELEASE -Anasm -Us -Sg system.pp
ustrings.inc(143,3) Fatal: Internal error 2014040401

none of later revisions up to 40309 change anything.
Steps To Reproducesvn up

make all OPT="-ap" CPU_TARGET=i8086 OS_TARGET=msdos CROSSOPT="-Anasm"
Additional InformationI do not think it matters, but for the sake of completeness: Host is macOS 10.13, bootstrap compiler is ppcx64 3.0.4 installed using fink.
TagsNo tags attached.
Fixed in Revision40316
FPCOldBugId
FPCTarget
Attached Files

Activities

Karl-Michael Schindler

2018-11-15 10:16

reporter   ~0111983

Fix confirmed. Nice job.

Issue History

Date Modified Username Field Change
2018-11-13 22:53 Karl-Michael Schindler New Issue
2018-11-14 19:07 Florian Fixed in Revision => 40316
2018-11-14 19:07 Florian Status new => resolved
2018-11-14 19:07 Florian Fixed in Version => 3.3.1
2018-11-14 19:07 Florian Resolution open => fixed
2018-11-14 19:07 Florian Assigned To => Florian
2018-11-15 10:16 Karl-Michael Schindler Note Added: 0111983
2018-11-15 10:16 Karl-Michael Schindler Status resolved => closed